/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.remoting3.metadata;

import java.util.ArrayList;
import java.util.List;
import org.jboss.xnio.metadata.OptionMetaData;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlType;

@XmlType(name = "connection", propOrder = {})
public final class ConnectionMetaData {
    private RefMetaData destination;
    private ClientAuthenticationMetaData clientAuthentication;
    private List<OptionMetaData> options = new ArrayList<OptionMetaData>();
    private String name;

    public RefMetaData getDestination() {
        return destination;
    }

    @XmlElement(required = true)
    public void setDestination(final RefMetaData destination) {
        this.destination = destination;
    }

    public ClientAuthenticationMetaData getClientAuthentication() {
        return clientAuthentication;
    }

    @XmlElement(name = "authentication")
    public void setClientAuthentication(final ClientAuthenticationMetaData clientAuthentication) {
        this.clientAuthentication = clientAuthentication;
    }

    public List<OptionMetaData> getOptions() {
        return options;
    }

    @XmlElementWrapper(name = "options")
    @XmlElement(name = "option", type = OptionMetaData.class)
    public void setOptions(final List<OptionMetaData> options) {
        this.options = options;
    }

    public String getName() {
        return name;
    }

    @XmlAttribute(required = true)
    public void setName(final String name) {
        this.name = name;
    }
}
