/*
 * JBoss, Home of Professional Open Source
 * Copyright 2008, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.remoting3.metadata;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlAttribute;

/**
 *
 */
@XmlType(name = "client")
public final class LocalClientMetaData {
    private String name;
    private RefMetaData requestClassName;
    private RefMetaData replyClassName;
    private RefMetaData requestListener;

    public String getName() {
        return name;
    }

    @XmlAttribute(required = true)
    public void setName(final String name) {
        this.name = name;
    }

    public RefMetaData getRequestClassName() {
        return requestClassName;
    }

    @XmlElement(name = "request-class", required = true)
    public void setRequestClassName(final RefMetaData requestClassName) {
        this.requestClassName = requestClassName;
    }

    public RefMetaData getReplyClassName() {
        return replyClassName;
    }

    @XmlElement(name = "reply-class", required = true)
    public void setReplyClassName(final RefMetaData replyClassName) {
        this.replyClassName = replyClassName;
    }

    public RefMetaData getRequestListener() {
        return requestListener;
    }

    @XmlElement(name = "request-listener", required = true)
    public void setRequestListener(final RefMetaData requestListener) {
        this.requestListener = requestListener;
    }
}
